var TableArr=new Array();
/////////////////////////////
//下面是被选择的搜索在数组中的位置
var SeachIDClicked=-1;
//下面是被选择的连接在数组中的位置
var LinkIDClicked=-1;
//下面是被选择的列表标题在数组中的位置
var TitleIDClicked=-1;
///////////////////////////////////////
//下面函数是在改变页面类型时，该显示的属性框跟着改变的函数
function ChangeWebSort(){
 var WebSortValue=WebSort.value;//页面的类型，0-输入页面，1-显示最新数据，2-显示多行数据，3-显示统计图
 //先把其他属性隐藏起来
 div01.style.display="none";//增加按钮
 div02.style.display="none";//编辑按钮
 div03.style.display="none";//数据显示范围
 div04.style.display="none";//按条件显示时的条件表达式
 div05.style.display="none";//显示数据的条数
 switch(WebSortValue){
  case "0":
   break;
  case "1":
   div01.style.display="block";//增加按钮
   div02.style.display="block";//编辑按钮
   div03.style.display="block";//数据显示范围
   //显示按条件显示时的条件表达式
   if(DataDisplayArrang.value=="7"){
    div04.style.display="block";//按条件显示时的条件表达式
   }
   break;
  case "2":
   div01.style.display="block";//增加按钮
   div03.style.display="block";//数据显示范围
   div05.style.display="block";//显示数据的条数
   //显示按条件显示时的条件表达式
   if(DataDisplayArrang.value=="7"){
    div04.style.display="block";//按条件显示时的条件表达式
   }
   break;
  case "3":
   div01.style.display="block";//增加按钮
   div03.style.display="block";//数据显示范围
   //显示按条件显示时的条件表达式
   if(DataDisplayArrang.value=="7"){
    div04.style.display="block";//按条件显示时的条件表达式
   }
   break;
 }
}
////////////////////////////////////////////////
//下面函数是当数据显示范围改变时，显示条件
function ChangeDisplayArrang(){
 div04.style.display="none";//按条件显示时的条件表达式
 if(DataDisplayArrang.value=="7"){
  div04.style.display="block";//按条件显示时的条件表达式
 }
}
/////////////////////////////////////////////////
//下面函数当改变关联表单时，取得TableArr
function GetTableArr(){
 var TableIDValue=TableID.value;
 var http = new ActiveXObject("Microsoft.XMLHTTP");
 http.open("GET","WebGetTableArr.Asp?TableID="+TableIDValue,false);
 var I=Math.random();
 http.send("Random="+I);  //每次刷新保证是最新数据
 var str = http.responseText;
 if(str!=""){
  eval(str);
 }else{
  TableArr=new Array();
  alert("请先选择一个关联表单！");
  TableID.focus();
 }
 AdjustDataDisplayConSys();//把表单的单元和运算符号加到DataDisplayConSys中
 AdjustSeachInUnitID();//把表单的单元加到SeachInUnitID中
 AdjustListInUnitID();//把表单的单元加到ListInUnitID中
 AdjustTimeInUnitID();//把表单的时间单元加到TimeInUnitID中
 AdjustClassInUnitID();//把表单的单元加到ClassInUnitID中
 AdjustChartInUnitID();//把表单的单元加到ChartInUnitID中
}
////////////////////////////////////////////////
//下面函数把表单的单元和运算符号加到DataDisplayConSys中
function AdjustDataDisplayConSys(){
 var i;
 var Op=DataDisplayConSys.options;
 for(i in Op){
  Op.remove(i);
 }
 var oOption = document.createElement("OPTION");
 oOption.text="(";
 oOption.value="(";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text=")";
 oOption.value=")";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="+";
 oOption.value="+";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="-";
 oOption.value="-";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="=";
 oOption.value="=";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="<>";
 oOption.value="<>";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text=">";
 oOption.value=">";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="<";
 oOption.value="<";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text=">=";
 oOption.value=">=";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="<=";
 oOption.value="<=";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text=" in ";
 oOption.value=" in ";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text=" and ";
 oOption.value=" and ";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text=" or ";
 oOption.value=" or ";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="输入人";
 oOption.value="InputName";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="接收人";
 oOption.value="RecName";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="审批人";
 oOption.value="AppName";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="附加人";
 oOption.value="AttName";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="单元填写人";
 oOption.value="InUnitSubName";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="输入时间";
 oOption.value="inputtime";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 var j,k;
 var InUnitType;
 for(i in TableArr){
  for(j in TableArr[i]){
   for(k in TableArr[i][j][1]){
    InUnitType=TableArr[i][j][1][k][4];
    if(InUnitType!="Text"&InUnitType!="InputTextArea"&InUnitType!="UpLoadFile"&InUnitType!="InputDigitalSign"&InUnitType!="InputElectroSeal"&InUnitType!="DisplayPic"&InUnitType!="WorkWebLink"&InUnitType!="WebLink"){
     oOption = document.createElement("OPTION");
     oOption.text="H"+i+"L"+j+"S"+k+"("+TableArr[i][j][1][k][0]+")";
     oOption.value="H"+i+"L"+j+"S"+k;
     DataDisplayConSys.add(oOption);
    }
   }
  }
 }
 oOption = document.createElement("OPTION");
 oOption.text="某字符串";
 oOption.value="\"某字符串\"";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="包含的字符串(in判断运算符号用)";
 oOption.value="\"Str1,Str2,Str3\"";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="浏览者";
 oOption.value="Reader";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="浏览者所在部门识别号";
 oOption.value="DeptID";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="浏览者部门内用户（包括下属部门）";
 oOption.value="AllDeptUser";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="浏览者部门内用户（不包括下属部门）";
 oOption.value="DeptUser";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="当前日期";
 oOption.value="Date";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="当前年";
 oOption.value="Year";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="当前天";
 oOption.value="Day";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="当前月";
 oOption.value="Month";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="当前时间";
 oOption.value="Time";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="本星期开始的日期";
 oOption.value="ThisSunDay";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="上星期开始的日期";
 oOption.value="LastSunDay";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="下星期开始的日期";
 oOption.value="NextSunDay";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="本月开始的日期";
 oOption.value="ThisMonthStart";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="上月开始的日期";
 oOption.value="LastMonthStart";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="下月开始的日期";
 oOption.value="NextMonthStart";
 DataDisplayConSys.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="传递来的参数";
 oOption.value="Param0";
 DataDisplayConSys.add(oOption);
}
////////////////////////////////////////////////
//下面函数把表单的单元加到SeachInUnitID中
function AdjustSeachInUnitID(){
 var i;
 var Op=SeachInUnitID.options;
 for(i in Op){
  Op.remove(i);
 }
 oOption = document.createElement("OPTION");
 oOption.text="";
 oOption.value="";
 SeachInUnitID.add(oOption);
 var j,k;
 var InUnitType;
 for(i in TableArr){
  for(j in TableArr[i]){
   for(k in TableArr[i][j][1]){
    InUnitType=TableArr[i][j][1][k][4];
    if(InUnitType!="Text"&InUnitType!="UpLoadFile"&InUnitType!="InputDigitalSign"&InUnitType!="InputElectroSeal"&InUnitType!="DisplayPic"&InUnitType!="WorkWebLink"&InUnitType!="WebLink"){
     oOption = document.createElement("OPTION");
     oOption.text="H"+i+"L"+j+"S"+k+"("+TableArr[i][j][1][k][0]+")";
     oOption.value="H"+i+"L"+j+"S"+k;
     SeachInUnitID.add(oOption);
    }
   }
  }
 }
}
////////////////////////////////////////////////
//下面函数是当搜索类别改变时，显示单元
function ChangSeachSort(){
 div06.style.display="none";
 if(SeachSort.value=="0"){
  div06.style.display="block";
 }
}
////////////////////////////////////////////////
//下面函数是当列表类别改变时，显示单元
function ChangListSort(){
 div07.style.display="none";
 if(ListSort.value=="0"){
  div07.style.display="block";
 }
}
////////////////////////////////////////////////
//下面函数把表单的单元加到ListInUnitID中
function AdjustListInUnitID(){
 var i;
 var Op=ListInUnitID.options;
 for(i in Op){
  Op.remove(i);
 }
 oOption = document.createElement("OPTION");
 oOption.text="";
 oOption.value="";
 ListInUnitID.add(oOption);
 var j,k;
 var InUnitType;
 for(i in TableArr){
  for(j in TableArr[i]){
   for(k in TableArr[i][j][1]){
    InUnitType=TableArr[i][j][1][k][4];
    if(InUnitType!="Text"&InUnitType!="UpLoadFile"&InUnitType!="InputDigitalSign"&InUnitType!="InputElectroSeal"&InUnitType!="DisplayPic"&InUnitType!="WorkWebLink"&InUnitType!="WebLink"){
     oOption = document.createElement("OPTION");
     oOption.text="H"+i+"L"+j+"S"+k+"("+TableArr[i][j][1][k][0]+")";
     oOption.value="H"+i+"L"+j+"S"+k;
     ListInUnitID.add(oOption);
    }
   }
  }
 }
}
////////////////////////////////////////////////
//下面函数把表单的时间单元加到TimeInUnitID中
function AdjustTimeInUnitID(){
 var i;
 var Op=TimeInUnitID.options;
 for(i in Op){
  Op.remove(i);
 }
 oOption = document.createElement("OPTION");
 oOption.text="";
 oOption.value="";
 TimeInUnitID.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="按数据输入时间来统计";
 oOption.value="InputTime";
 TimeInUnitID.add(oOption);
 var j,k;
 var InUnitType;
 for(i in TableArr){
  for(j in TableArr[i]){
   for(k in TableArr[i][j][1]){
    InUnitType=TableArr[i][j][1][k][4];
    if(InUnitType=="InputTime"){
     oOption = document.createElement("OPTION");
     oOption.text="H"+i+"L"+j+"S"+k+"("+TableArr[i][j][1][k][0]+")";
     oOption.value="H"+i+"L"+j+"S"+k;
     TimeInUnitID.add(oOption);
    }
   }
  }
 }
}
////////////////////////////////////////////////
//下面函数把表单的单元加到ClassInUnitID中
function AdjustClassInUnitID(){
 var i;
 var Op=ClassInUnitID.options;
 for(i in Op){
  Op.remove(i);
 }
 oOption = document.createElement("OPTION");
 oOption.text="";
 oOption.value="";
 ClassInUnitID.add(oOption);
 oOption = document.createElement("OPTION");
 oOption.text="输入人";
 oOption.value="Name";
 ClassInUnitID.add(oOption);
 var j,k;
 var InUnitType;
 for(i in TableArr){
  for(j in TableArr[i]){
   for(k in TableArr[i][j][1]){
    InUnitType=TableArr[i][j][1][k][4];
    if(InUnitType=="InputText"||InUnitType=="SelectUser"||InUnitType=="SelectDept"||InUnitType=="SelectOrg"||InUnitType=="SelectPosition"||InUnitType=="SelectClass"||InUnitType=="InputCheckBox"||InUnitType=="InputRadioBox"||InUnitType=="InputHide"||InUnitType=="AutoCal"){
     oOption = document.createElement("OPTION");
     oOption.text="H"+i+"L"+j+"S"+k+"("+TableArr[i][j][1][k][0]+")";
     oOption.value="H"+i+"L"+j+"S"+k;
     ClassInUnitID.add(oOption);
    }
   }
  }
 }
}
////////////////////////////////////////////////
//下面函数把表单的单元加到ChartInUnitID中
function AdjustChartInUnitID(){
 var i;
 var Op=ChartInUnitID.options;
 for(i in Op){
  Op.remove(i);
 }
 oOption = document.createElement("OPTION");
 oOption.text="";
 oOption.value="";
 ChartInUnitID.add(oOption);
 var j,k;
 var InUnitType;
 for(i in TableArr){
  for(j in TableArr[i]){
   for(k in TableArr[i][j][1]){
    InUnitType=TableArr[i][j][1][k][4];
    if(InUnitType=="InputNum"){
     oOption = document.createElement("OPTION");
     oOption.text="H"+i+"L"+j+"S"+k+"("+TableArr[i][j][1][k][0]+")";
     oOption.value="H"+i+"L"+j+"S"+k;
     ChartInUnitID.add(oOption);
    }
   }
  }
 }
}
////////////////////////////////////////////////
//下面函数是当ChartSort改变时，显示
function ChangChartSort(){
 div11.style.display="none";
 if(ChartSort.value=="1"){
  div11.style.display="block";
 }
}
////////////////////////////////////////////////
//下面函数是当IsTimeChart改变时，显示
function ChangIsTimeChart(){
 div08.style.display="none";
 div09.style.display="none";
 div10.style.display="none";
 if(IsTimeChart.value=="0"){
  div10.style.display="block";
 }else{
  div08.style.display="block";
  div09.style.display="block";
 }
}
//////////////////////////////////////////////////
//下面的函数是根据WebArr显示页面的基本属性
function DisplayBaseInfByWebArr(){
 WorkWebName.value=WebArr[0][1];
 WebTitle.value=WebArr[0][2];
 AppUser.value=WebArr[0][11];
 TableID.value=WebArr[0][4];
 Creater.value=WebArr[0][3];
 WebSort.value=WebArr[0][5];
 AddBottonText.value=WebArr[0][8];
 EditBottonText.value=WebArr[0][9];
 DataDisplayArrang.value=WebArr[0][6];
 DataDisplayCon.value=WebArr[0][7];
 PageDisplay.value=WebArr[0][10];
 AddBottonLinkParam.value=WebArr[0][12];
}
//////////////////////////////////////////////////
//下面的函数是根据WebArr显示页面的统计属性
function DisplayChartInfByWebArr(){
 ChartSort.value=WebArr[3][0];
 IsTimeChart.value=WebArr[3][1];
 TimeArrang.value=WebArr[3][2];
 TimeInUnitID.value=WebArr[3][3];
 ClassInUnitID.value=WebArr[3][4];
 ChartInUnitID.value=WebArr[3][5];
}
//////////////////////////////////////////////////
//下面函数是根据页面类型显示列表还是统计属性以及搜索属性
function ControlDisplayListOrChart(){
 if(WebArr[0][5]=="3"){//如果是统计页面
  Div4_1.style.display="Block";
  Div4_2.style.display="none";
  Div3_1.style.display="none";
  Div3_2.style.display="block";
 }else{
  if(WebArr[0][5]=="2"){//如果是列表页面
   Div4_2.style.display="Block";
   Div4_1.style.display="none";
   Div3_2.style.display="none";
   Div3_1.style.display="block";
  }else{
   Div4_2.style.display="Block";
   Div4_1.style.display="none";
   Div3_2.style.display="block";
   Div3_1.style.display="none";
  }
 }
 if(WebArr[0][5]=="3"||WebArr[0][5]=="2"){
  Div2_1.style.display="Block";
  Div2_2.style.display="none";
 }else{
  Div2_2.style.display="Block";
  Div2_1.style.display="none";
 }
}
///////////////////////////////////////////////////////
//下面的函数是根据WebArr显示模拟界面
function WebEditDisplay(){
 //开始显示头部
 var A="<Table><tr><td>";
 A=A+"<a onclick=\"DisplayBaseInfByWebArr();clickTD1();WebTitle.focus();\"><b>"+WebArr[0][2]+"</b></a>";
 A=A+"</td><td><input type=\"button\" value=\"打印\"></td>";
 var i;
 if(WebArr[0][5]!="0"){//如果不是输入页面显示输入按钮
  A=A+"<td><input type=\"button\" value=\""+WebArr[0][8]+"\" onclick=\"ClickAddBotton();\"></td>";
 }
 if(WebArr[0][5]=="1"){//如果是最新数据显示编辑按钮
  A=A+"<td><input type=\"button\" value=\""+WebArr[0][9]+"\" onclick=\"ClickEditBotton();\"></td>";
 }
 for(i in WebArr[4]){//显示连接
  if(LinkIDClicked==i){
   A=A+"<td bgcolor=red><input type=\"button\" value=\""+WebArr[4][i][0]+"\" onclick=\"ClickLink("+i+");\"></td>";
  }else{
   A=A+"<td><input type=\"button\" value=\""+WebArr[4][i][0]+"\" onclick=\"ClickLink("+i+");\"></td>";
  }
 }
 A=A+"</tr></Table>";
 DivWebTop.innerHTML=A;
 //开始显示搜索
 A="";
 var B;
 var SeachLen;//搜索的数量
 var InUnitType;
 var CheckBoxValue;
 if(WebArr[0][5]=="2"||WebArr[0][5]=="3"){//如果是列表或统计，就显示搜索
  SeachLen=WebArr[2].length;
  if(SeachLen>0){
   A=A+"<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" width=\"98%\">";
   A=A+"<tr>";
   A=A+"<td><font color=red>查询>>></font></td>";
   A=A+"</tr>";
   A=A+"</table>";
   A=A+"<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" width=\"98%\">";
   A=A+"<tr height=1 bgcolor=red>";
   A=A+"<td></td>";
   A=A+"</tr>";
   A=A+"</table>";
   A=A+"<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" width=\"98%\">";
   for(i in WebArr[2]){
    A=A+"<tr onclick=\"ClickSeach("+i+");\">";
    if(SeachIDClicked==i){
     A=A+"<td bgcolor=red>"+WebArr[2][i][0]+"</td><td>";
    }else{
     A=A+"<td>"+WebArr[2][i][0]+"</td><td>";
    }
    if(WebArr[2][i][1]=="0"){//如果搜索为表单单元
     InUnitType=GetInUnitTypeByInUnitID(WebArr[2][i][2]);
     if(InUnitType=="InputText"||InUnitType=="InputTextArea"||InUnitType=="InputHide"||InUnitType=="AutoCal"){
      A=A+"<input type=\"Text\" style=\"Width:166;\">&nbsp;&nbsp;用英文逗号分开每个要查询的关键字。";
     }else{
      if(InUnitType=="InputNum"){
       A=A+"<input type=\"Text\" style=\"Width:80;\">-<input type=\"Text\" style=\"Width:80;\">&nbsp;&nbsp;要查询的数字范围，左边小右边大。";
      }else{
       if(InUnitType=="InputTime"){
        A=A+"<input type=\"Text\" style=\"Width:80;\">-<input type=\"Text\" style=\"Width:80;\">&nbsp;&nbsp;要查询的时间范围，左边早右边晚，格式：2004-5-29。";
       }else{
        if(InUnitType=="SelectOrg"){
         A=A+"<select size=1 style=\"Width:166;\"><option value=\"\">机构选择</option></select>";
        }else{
         if(InUnitType=="SelectUser"||InUnitType=="SelectDept"||InUnitType=="SelectPosition"||InUnitType=="SelectClass"||InUnitType=="InputRadioBox"){
          A=A+"<input type=\"Text\" style=\"Width:127;\"><input type=\"button\" value=\"选择\">&nbsp;&nbsp;用英文逗号分开每个要查询的关键字。";
         }else{
          if(InUnitType=="InputCheckBox"){
           CheckBoxValue=GetCheckBoxValueByInUnitID(WebArr[2][i][2]);
           A=A+"<select size=1 style=\"Width:166;\"><option></option><option>"+CheckBoxValue+"</option></select>";
          }else{
           A=A+"<font color=red>要查询的单元("+WebArr[2][i][2]+")不存在！</font>";
          }
         }
        }
       }
      }
     }
    }else{
     if(WebArr[2][i][1]=="1"){//如果搜索为输入者姓名
      A=A+"<input type=\"Text\" style=\"Width:127;\"><input type=\"button\" value=\"选择\">&nbsp;&nbsp;用英文逗号分开每个要查询的关键字。";
     }else{
      if(WebArr[2][i][1]=="2"){//如果搜索为输入数据的时间
       A=A+"<input type=\"Text\" style=\"Width:80;\">-<input type=\"Text\" style=\"Width:80;\">&nbsp;&nbsp;要查询的时间范围，左边早右边晚，格式：2004-5-29。";
      }else{
       if(WebArr[2][i][1]=="3"){//如果搜索为数据的状态
        A=A+"<select size=1 style=\"Width:166;\"><option value=\"\"></option><option value=\"1\">等待处理</option></select>";
       }
      }
     }
    }
    A=A+"</td>";
    A=A+"</tr>";
   }
   A=A+"</Table>";
   A=A+"<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" width=\"98%\">";
   A=A+"<tr>";
   A=A+"<td><input type=\"button\" value=\"开始查询..\"></td>";
   A=A+"</tr>";
   A=A+"</table>";
  }
 }
 //显示列表
 var ListLen;
 if(WebArr[0][5]=="2"){
  ListLen=WebArr[1].length;
  if(ListLen>0){
   A=A+"<table border=\"1\" cellspacing=\"0\" cellpadding=\"0\" width=\"98%\">";
   A=A+"<tr height=30 bgcolor=\"#aaaaaa\">";
   for(i in WebArr[1]){
    if(i==TitleIDClicked){
     A=A+"<td align=center bgcolor=red><a onclick=\"ClickList("+i+");\"><b>"+WebArr[1][i][0]+"</b></a></td>";
    }else{
     A=A+"<td align=center><a onclick=\"ClickList("+i+");\"><b>"+WebArr[1][i][0]+"</b></a></td>";
    }
   }
   A=A+"</tr>";
   B="<tr>";
   for(i in WebArr[1]){
    B=B+"<td>"
    if(WebArr[1][i][1]=="0"){//如果是表单内单元
     InUnitType=GetInUnitTypeByInUnitID(WebArr[1][i][2]);
     if(InUnitType=="InputText"||InUnitType=="InputTextArea"||InUnitType=="SelectUser"||InUnitType=="SelectDept"||InUnitType=="SelectOrg"||InUnitType=="SelectPosition"||InUnitType=="SelectClass"||InUnitType=="InputCheckBox"||InUnitType=="InputRadioBox"||InUnitType=="InputHide"||InUnitType=="AutoCal"||InUnitType=="InputNum"||InUnitType=="InputTime"){
      B=B+"***";
     }else{
      B=B+"<font color=red>单元("+WebArr[1][i][2]+")不存在</font>";
     }
    }else{
     B=B+"***";
    }
    B=B+"</td>";
   }
   B=B+"</tr>";
   A=A+B+B+B;
   A=A+"</table>";
  }
 }
 //显示统计
 if(WebArr[0][5]=="3"){
  A=A+"<br><table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" width=\"98%\" onclick=\"clickTD4();\">";
  A=A+"<tr><td>统计总数：</td><td>******</td></tr>";
  A=A+"<tr><td>****</td><td><table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" height=10 width=\"400\"><tr bgcolor=red><td></td></tr></table></td></tr>";
  A=A+"<tr><td>****</td><td><table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" height=10 width=\"300\"><tr bgcolor=red><td></td></tr></table></td></tr>";
  A=A+"<tr><td>****</td><td><table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" height=10 width=\"500\"><tr bgcolor=red><td></td></tr></table></td></tr>";
  A=A+"<tr><td>****</td><td><table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" height=10 width=\"200\"><tr bgcolor=red><td></td></tr></table></td></tr>";
  A=A+"</table>";
 }
 //显示最新数据
 if(WebArr[0][5]=="1"){
  A=A+DisplayTableDataStr();
 }
 //显示输入页面
 if(WebArr[0][5]=="0"){
  A=A+DisplayTableInputStr();
  A=A+"<input type=\"button\" value=\"确定\">";
 }
 DivWeb.innerHTML=A;
}
//////////////////////////////////////////////////////
//当点输入按钮时，把信息传给控制面板
function ClickAddBotton(){
 clickTD1();
 AddBottonText.value=WebArr[0][8];
 AddBottonLinkParam.value=WebArr[0][12];
 AddBottonText.focus();
}
//////////////////////////////////////////////////////
//当点编辑按钮时，把信息传给控制面板
function ClickEditBotton(){
 clickTD1();
 EditBottonText.value=WebArr[0][9];
 EditBottonText.focus();
}
///////////////////////////////////////////////////////
//下面函数是根据H*L*S*取得单元类型InUnitType,如果单元不存在，返回空
function GetInUnitTypeByInUnitID(HLS){
 var UnitOBID=HLS.match(/^H(\d+)L(\d+)S(\d+)$/);
 var H,L,S;
 if(UnitOBID!=null){//如果是H*L*S*结构
  H=UnitOBID[1];
  L=UnitOBID[2];
  S=UnitOBID[3];
  var i,j,k;
  i=TableArr.length-1;
  if(i<H){
   return "";
  }
  j=TableArr[H].length-1;
  if(j<L){
   return "";
  }
  k=TableArr[H][L][1].length-1;
  if(k<S){
   return "";
  }
  return TableArr[H][L][1][S][4];
 }else{
  return "";
 }
}
///////////////////////////////////////////////////////
//下面函数是根据H*L*S*取得单元的CheckBoxValue,如果单元不存在，返回空
function GetCheckBoxValueByInUnitID(HLS){
 var UnitOBID=HLS.match(/^H(\d+)L(\d+)S(\d+)$/);
 var H,L,S;
 if(UnitOBID!=null){//如果是H*L*S*结构
  H=UnitOBID[1];
  L=UnitOBID[2];
  S=UnitOBID[3];
  var i,j,k;
  i=TableArr.length-1;
  if(i<H){
   return "";
  }
  j=TableArr[H].length-1;
  if(j<L){
   return "";
  }
  k=TableArr[H][L][1].length-1;
  if(k<S){
   return "";
  }
  return TableArr[H][L][1][S][16];
 }else{
  return "";
 }
}
/////////////////////////////////////////////////////////
//下面函数把搜索属性传递给控制面板
function ClickSeach(SeachNo){
 clickTD2();
 SeachTitle.value=WebArr[2][SeachNo][0];
 SeachSort.value=WebArr[2][SeachNo][1];
 SeachInUnitID.value=WebArr[2][SeachNo][2];
 ChangSeachSort();
 SeachIDClicked=SeachNo;
 WebEditDisplay();
}
/////////////////////////////////////////////////////////
//下面函数把列表属性传递给控制面板
function ClickList(ListNo){
 clickTD3();
 ListTitle.value=WebArr[1][ListNo][0];
 ListSort.value=WebArr[1][ListNo][1];
 ListInUnitID.value=WebArr[1][ListNo][2];
 ChangListSort();
 TitleIDClicked=ListNo;
 WebEditDisplay();
}
/////////////////////////////////////////////////////////
//下面函数把连接属性传递给控制面板
function ClickLink(LinkNo){
 clickTD5();
 BottonText.value=WebArr[4][LinkNo][0];
 LinkWebID.value=WebArr[4][LinkNo][1];
 LinkBotLinkParam.value=WebArr[4][LinkNo][2];
 WinNew.value=WebArr[4][LinkNo][3];
 LinkIDClicked=LinkNo;
 WebEditDisplay();
}
////////////////////////////////////////
//根据TableArr，显示表单最新数据模拟界面
function DisplayTableDataStr(){
 var a="<Table Border=0 Width=\"95%\" cellspacing=\"0\" cellpadding=\"0\">";
 var i,j;
 var TDStr;
 var InUnitStr;
 for(i in TableArr){
  a=a+"<tr>";
  for(j in TableArr[i]){
   TDStr=DisplayTDStrByArr(TableArr[i][j][0],i,j);
   a=a+TDStr;
   InUnitStr=DisplayInUnitDataStrByArr(TableArr[i][j][1],i,j);
   if(InUnitStr==""){
    InUnitStr="&nbsp;";
   }
   a=a+InUnitStr+"</TD>";
  }
  a=a+"</tr>";
 }
 a=a+"</Table>";
 return a;
}
///////////////////////////////////////////////
//根据TableUnitPropertiyArr显示<TD>
function DisplayTDStrByArr(TDArrName,RowNo,ColNo){
 //其中TDArrName为TableUnitPropertiyArr数组的名称，RowNo是行号，ColNo是列号
 var a="";
 a=a+"<TD ID=\"H"+RowNo+"L"+ColNo+"\"";
 if(TDArrName[0]!=""){
  a=a+" Width=\""+TDArrName[0]+"\"";
 }
 if(TDArrName[1]!=""){
  a=a+" Height=\""+TDArrName[1]+"\"";
 }
 if(TDArrName[2]>1){
  a=a+" Rowspan=\""+TDArrName[2]+"\"";
 }
 if(TDArrName[3]>1){
  a=a+" Colspan=\""+TDArrName[3]+"\"";
 }
 a=a+" Style=\""
 if(TDArrName[4]==0){
  a=a+"border-left: 0 dotted;";
 }else{
  a=a+"border-left: "+TDArrName[4]+" solid "+TDArrName[8]+";";
 }
 if(TDArrName[5]==0){
  a=a+"border-right: 0 dotted;";
 }else{
  a=a+"border-right: "+TDArrName[5]+" solid "+TDArrName[9]+";";
 }
 if(TDArrName[6]==0){
  a=a+"border-top: 0 dotted;";
 }else{
  a=a+"border-top: "+TDArrName[6]+" solid "+TDArrName[10]+";";
 }
 if(TDArrName[7]==0){
  a=a+"border-bottom: 0 dotted;";
 }else{
  a=a+"border-bottom: "+TDArrName[7]+" solid "+TDArrName[11]+";";
 }
 a=a+"\" Align=\""+TDArrName[12]+"\"";
 a=a+" Valign=\""+TDArrName[13]+"\"";
 a=a+">";
 return a;
}
///////////////////////////////////////
//显示某个单元格中的单元
function DisplayInUnitDataStrByArr(InUnitArrName,RowNo,ColNo){
 //其中InUnitArrName为TableInUnitArr数组的名称，RowNo是行号，ColNo是列号
 var a="";
 var i;
 var tempstr,tempstr1;
 for(i in InUnitArrName){
  switch(InUnitArrName[i][4]){
   case "Text":
    switch(InUnitArrName[i][5]){
     case "":
      a=a+"&nbsp;";
      break;
     default:
      if(InUnitArrName[i][1]==1){
       a=a+"<B>";
      }
      a=a+"<Font";
      if(InUnitArrName[i][2]!=0){
       a=a+" Size="+InUnitArrName[i][2];
      }
      a=a+" Color=\""+InUnitArrName[i][3]+"\">";
      a=a+ToHTML(InUnitArrName[i][5]);
      a=a+"</Font>";
      if(InUnitArrName[i][1]==1){
       a=a+"</B>";
      }
    }
    break;
   case "WorkWebLink":
   case "WebLink":
    switch(InUnitArrName[i][24]){
     case "":
      a=a+"&nbsp;";
      break;
     default:
      if(InUnitArrName[i][1]==1){
       a=a+"<B>";
      }
      a=a+"<Font";
      if(InUnitArrName[i][2]!=0){
       a=a+" Size="+InUnitArrName[i][2];
      }
      a=a+" Color=\""+InUnitArrName[i][3]+"\">";
      a=a+ToHTML(InUnitArrName[i][24]);
      a=a+"</Font>";
      if(InUnitArrName[i][1]==1){
       a=a+"</B>";
      }
    }
    break;
   case "InputText":
   case "InputNum":
   case "InputTime":
   case "InputTextArea":
   case "UpLoadFile":
   case "SelectUser":
   case "SelectDept":
   case "SelectOrg":
   case "SelectPosition":
   case "SelectClass":
   case "InputCheckBox":
   case "InputRadioBox":
   case "AutoCal":
    a=a+"***";
   case "InputDigitalSign":
   case "InputElectroSeal":
    a=a+"&nbsp;";
    break;
   case "DisplayPic":
    tempstr=parseInt(InUnitArrName[i][21]);
    if(tempstr=="NaN"){
     tempstr=0;
    }
    a=a+"<Img Src=\"../AspFunction/DBDownLoadFile.asp?DbTableName=TablePic&Field_Name_FileName=FileName&Field_Name_FileSize=size&Field_Name_FileContent=PicFile&Field_Name_FileType=FileType&Field_Name_ID=TablePicID&ID="+tempstr+"\"";
    tempstr=parseInt(InUnitArrName[i][12]);
    if(tempstr=="NaN"){
     tempstr=0;
    }
    if(tempstr!=0){
     a=a+" width="+tempstr;
    }
    tempstr=parseInt(InUnitArrName[i][13]);
    if(tempstr=="NaN"){
     tempstr=0;
    }
    if(tempstr!=0){
     a=a+" height="+tempstr;
    }
    a=a+">";
    break;
  }
 }
 return a;
}
///////////////////////////////////////////////
//把字符串转换成HTML
function ToHTML(Str){
 //空格用&nbsp;代替
 //换行用换行图片+<br>代替
 var a;
 a=Str.replace(/ /g, "&nbsp;");
 a=a.replace(/\r\n/g, "<br>");
 a=a.replace(/\n/g, "<br>");
 return a;
}
////////////////////////////////////////
//根据TableArr，显示表单输入模拟界面
function DisplayTableInputStr(){
 var a="<Table Border=0 Width=\"95%\" cellspacing=\"0\" cellpadding=\"0\">";
 var i,j;
 var TDStr;
 var InUnitStr;
 for(i in TableArr){
  a=a+"<tr>";
  for(j in TableArr[i]){
   TDStr=DisplayTDStrByArr(TableArr[i][j][0],i,j);
   a=a+TDStr;
   InUnitStr=DisplayInUnitInputStrByArr(TableArr[i][j][1],i,j);
   if(InUnitStr==""){
    InUnitStr="&nbsp;";
   }
   a=a+InUnitStr+"</TD>";
  }
  a=a+"</tr>";
 }
 a=a+"</Table>";
 return a;
}
///////////////////////////////////////
//显示某个单元格中的输入模拟单元
function DisplayInUnitInputStrByArr(InUnitArrName,RowNo,ColNo){
 //其中InUnitArrName为TableInUnitArr数组的名称，RowNo是行号，ColNo是列号
 var a="";
 var i;
 var tempstr,tempstr1;
 for(i in InUnitArrName){
  switch(InUnitArrName[i][4]){
   case "Text":
    switch(InUnitArrName[i][5]){
     case "":
      a=a+"&nbsp";
      break;
     default:
      if(InUnitArrName[i][1]==1){
       a=a+"<B>";
      }
      a=a+"<Font";
      if(InUnitArrName[i][2]!=0){
       a=a+" Size="+InUnitArrName[i][2];
      }
      a=a+" Color=\""+InUnitArrName[i][3]+"\">";
      a=a+ToHTML(InUnitArrName[i][5]);
      a=a+"</Font>";
      if(InUnitArrName[i][1]==1){
       a=a+"</B>";
      }
    }
    break;
   case "InputText":
   case "InputNum":
    tempstr=parseInt(InUnitArrName[i][6]);
    if(tempstr=="NaN"){
     tempstr=100;
    }
    if(tempstr<10){
     tempstr=10;
    }
    a=a+"<Input type=\"Text\" style=\"width:"+tempstr+";\">";
    break;
   case "InputTime":
    tempstr=parseInt(InUnitArrName[i][6]);
    if(tempstr=="NaN"){
     tempstr=100;
    }
    if(tempstr<10){
     tempstr=10;
    }
    tempstr1=InUnitArrName[i][10];
    if(tempstr1==0){
     a=a+"<Input type=\"Text\" style=\"width:"+tempstr+";\">";
    }else{
     a=a+"<Input type=\"Text\" style=\"width:"+tempstr+";\"><img src=\"../images/DateSelect.gif\">";
    }
    break;
   case "InputTextArea":
    tempstr=parseInt(InUnitArrName[i][6]);
    if(tempstr=="NaN"){
     tempstr=100;
    }
    if(tempstr<10){
     tempstr=10;
    }
    tempstr1=parseInt(InUnitArrName[i][7]);
    if(tempstr1=="NaN"){
     tempstr1=100;
    }
    if(tempstr1<10){
     tempstr1=10;
    }
    a=a+"<textarea style=\"width:"+tempstr+";height:"+tempstr1+";\"></textarea>";
    break;
   case "UpLoadFile":
    tempstr=parseInt(InUnitArrName[i][6]);
    if(tempstr=="NaN"){
     tempstr=100;
    }
    if(tempstr<10){
     tempstr=10;
    }
    a=a+"<Input type=\"file\" style=\"width:"+tempstr+";\">&nbsp;<img src=\"../images/FileAdd.gif\" width=16 height=16>&nbsp;<img src=\"../images/FileDel.gif\" width=16 height=16>";
    break;
   case "SelectUser":
    tempstr=parseInt(InUnitArrName[i][6]);
    if(tempstr=="NaN"){
     tempstr=100;
    }
    if(tempstr<10){
     tempstr=10;
    }
    a=a+"<Input type=\"Text\" style=\"width:"+tempstr+";\"><input type=\"button\" value=\"选择\">";
    break;
   case "SelectDept":
    tempstr=parseInt(InUnitArrName[i][6]);
    if(tempstr=="NaN"){
     tempstr=100;
    }
    if(tempstr<10){
     tempstr=10;
    }
    a=a+"<Input type=\"Text\" style=\"width:"+tempstr+";\"><input type=\"button\" value=\"选择\">";
    break;
   case "SelectOrg":
    tempstr=parseInt(InUnitArrName[i][6]);
    if(tempstr=="NaN"){
     tempstr=100;
    }
    if(tempstr<10){
     tempstr=10;
    }
    a=a+"<Select size=1 style=\"width:"+tempstr+";\"><option>选择组织机构</option>";
    break;
   case "SelectPosition":
    tempstr=parseInt(InUnitArrName[i][6]);
    if(tempstr=="NaN"){
     tempstr=100;
    }
    if(tempstr<10){
     tempstr=10;
    }
    if(InUnitArrName[i][14]==1){
     a=a+"<Input type=\"Text\" style=\"width:"+tempstr+";\" value=\"\"><input type=\"button\" value=\"选择\">";
    }else{
     a=a+"<select style=\"width:"+tempstr+";\" size=1><option>选择职位</option></select>";
    }
    break;
   case "SelectClass":
    tempstr=parseInt(InUnitArrName[i][6]);
    if(tempstr=="NaN"){
     tempstr=100;
    }
    if(tempstr<10){
     tempstr=10;
    }
    if(InUnitArrName[i][14]==1){
     a=a+"<Input type=\"Text\" style=\"width:"+tempstr+";\" value=\"\"><input type=\"button\" value=\"选择\">";
    }else{
     a=a+"<select style=\"width:"+tempstr+";\" size=1>"+ClassSelect(InUnitArrName[i][15])+"</select>";
    }
    break;
   case "InputCheckBox":
    a=a+"<input type=\"checkbox\"";
    if(InUnitArrName[i][17]==1){
     a=a+" checked";
    }
    a=a+">"+InUnitArrName[i][16];
    break;
   case "InputRadioBox":
    a=a+RadioBoxDisplay(InUnitArrName[i][18],InUnitArrName[i][19])
    break;
   case "InputHide":
    break;
   case "InputDigitalSign":
    tempstr=parseInt(InUnitArrName[i][6]);
    if(tempstr=="NaN"){
     tempstr=100;
    }
    if(tempstr<10){
     tempstr=10;
    }
    a=a+"<Input type=\"Text\" style=\"width:"+tempstr+";\" value=\"\"><input type=\"button\" value=\"签名\">";
    break;
   case "InputElectroSeal":
    tempstr=parseInt(InUnitArrName[i][6]);
    if(tempstr=="NaN"){
     tempstr=100;
    }
    if(tempstr<10){
     tempstr=10;
    }
    a=a+"<Input type=\"Text\" style=\"width:"+tempstr+";\" value=\"\"><input type=\"button\" value=\"盖章\">";
    break;
   case "DisplayPic":
    tempstr=parseInt(InUnitArrName[i][21]);
    if(tempstr=="NaN"){
     tempstr=0;
    }
    a=a+"<Img Src=\"../AspFunction/DBDownLoadFile.asp?DbTableName=TablePic&Field_Name_FileName=FileName&Field_Name_FileSize=size&Field_Name_FileContent=PicFile&Field_Name_FileType=FileType&Field_Name_ID=TablePicID&ID="+tempstr+"\"";
    tempstr=parseInt(InUnitArrName[i][12]);
    if(tempstr=="NaN"){
     tempstr=0;
    }
    if(tempstr!=0){
     a=a+" width="+tempstr;
    }
    tempstr=parseInt(InUnitArrName[i][13]);
    if(tempstr=="NaN"){
     tempstr=0;
    }
    if(tempstr!=0){
     a=a+" height="+tempstr;
    }
    a=a+">";
    break;
   case "AutoCal":
    tempstr=parseInt(InUnitArrName[i][6]);
    if(tempstr=="NaN"){
     tempstr=100;
    }
    if(tempstr<10){
     tempstr=10;
    }
    a=a+"<Input type=\"Text\" style=\"width:"+tempstr+";\" value=\"\"><input type=\"button\" value=\"<<\">";
    break;
   case "WorkWebLink":
   case "WebLink":
    switch(InUnitArrName[i][24]){
     case "":
      a=a+"&nbsp";
      break;
     default:
      if(InUnitArrName[i][1]==1){
       a=a+"<B>";
      }
      a=a+"<Font";
      if(InUnitArrName[i][2]!=0){
       a=a+" Size="+InUnitArrName[i][2];
      }
      a=a+" Color=\""+InUnitArrName[i][3]+"\">";
      a=a+ToHTML(InUnitArrName[i][24]);
      a=a+"</Font>";
      if(InUnitArrName[i][1]==1){
       a=a+"</B>";
      }
    }
    break;
  }
 }
 return a;
}
//////////////////////////////////////////////////
//根据分类下拉的内容显示分类下拉
function ClassSelect(ClassCont){
 var a=ClassCont;
 //把回车换成逗号
 var reg=/\r\n/g;
 a=a.replace(reg,",");
 reg=/\n/g;
 a=a.replace(reg,",");
 var b=a.split(",");
 var c;
 c="";
 var i;
 for(i in b){
  c=c+"<option>"+b[i]+"</option>";
 }
 return c;
}
////////////////////////////////////////////////////
//根据radiobox的内容和默认值显示
function RadioBoxDisplay(RadioCon,RadioDefault){
 var a=RadioCon;
 //把回车换成逗号
 var reg=/\r\n/g;
 a=a.replace(reg,",");
 var b=a.split(",");
 var c;
 c="";
 var i;
 for(i in b){
  c=c+"<input type=\"radio\" name=r1";
  if(b[i]==RadioDefault){
    c=c+" checked";
  }
  c=c+">"+b[i];
 }
 return c;
}
/////////////////////////////////////////////////////
//当按了基本属性的修改按钮时处理
function UpdateBaseInf(){
 var WorkWebNameValue=WorkWebName.value;
 if(WorkWebNameValue.match(/^[ \t]*$/)!=null){
  alert("页面名称不能空！");
  WorkWebName.focus();
  return false;
 }
 var WebTitleValue=WebTitle.value;
 if(WebTitleValue.match(/^[ \t]*$/)!=null){
  alert("页面标题不能空！");
  WebTitle.focus();
  return false;
 }
 var TableIDValue=TableID.value;
 GetTableArr();
 var AddBottonTextValue=AddBottonText.value;
 var AddBottonLinkParamValue=AddBottonLinkParam.value;
 //if(AddBottonTextValue.match(/^[ \t]*$/)!=null){
  //AddBottonText.value="增加";
  //AddBottonTextValue="增加";
 //}
 var EditBottonTextValue=EditBottonText.value;
 if(EditBottonTextValue.match(/^[ \t]*$/)!=null){
  EditBottonText.value="编辑";
  EditBottonTextValue="编辑";
 }
 var PageDisplayValue=parseInt(PageDisplay.value);
 if(isNaN(PageDisplayValue)){
  PageDisplayValue=50;
 }else{
  if(PageDisplayValue<0){
   PageDisplayValue=50;
  }
 }
 PageDisplay.value=PageDisplayValue;
 WebArr[0][1]=WorkWebNameValue;
 WebArr[0][2]=WebTitleValue;
 WebArr[0][3]=Creater.value;
 WebArr[0][4]=TableIDValue;
 WebArr[0][5]=WebSort.value;
 WebArr[0][6]=DataDisplayArrang.value;
 WebArr[0][7]=DataDisplayCon.value;
 WebArr[0][8]=AddBottonTextValue;
 WebArr[0][9]=EditBottonTextValue;
 WebArr[0][10]=PageDisplayValue;
 WebArr[0][11]=AppUser.value;
 WebArr[0][12]=AddBottonLinkParamValue;
 ControlDisplayListOrChart();
 //显示设置模拟
 WebEditDisplay();
}
////////////////////////////////////////////
//当按了搜索的向上按钮时
function SeachUp(){
 if(SeachIDClicked==-1){
  alert("请先点选一个搜索后再移动！");
  return;
 }
 if(SeachIDClicked==0){
  alert("该搜索条件已经在最上面了，不能再向上移动！");
  return;
 }
 WebSeachArr=new Array();
 var i;
 for(i in WebArr[2]){
  if(i==SeachIDClicked-1){
   WebSeachArr.push(WebArr[2][SeachIDClicked]);
   WebSeachArr.push(WebArr[2][i]);
  }else{
   if(i!=SeachIDClicked){
    WebSeachArr.push(WebArr[2][i]);
   }
  }
 }
 WebArr[2]=WebSeachArr;
 SeachIDClicked=SeachIDClicked-1;
 //显示设置模拟
 WebEditDisplay();
}
////////////////////////////////////////////
//当按了搜索的向下按钮时
function SeachDown(){
 if(SeachIDClicked==-1){
  alert("请先点选一个搜索后再移动！");
  return;
 }
 if(SeachIDClicked==WebArr[2].length-1){
  alert("该搜索条件已经在最下面了，不能再向下移动！");
  return;
 }
 WebSeachArr=new Array();
 var i;
 for(i in WebArr[2]){
  if(i==parseInt(SeachIDClicked)+1){
   WebSeachArr.push(WebArr[2][i]);
   WebSeachArr.push(WebArr[2][SeachIDClicked]);
  }else{
   if(i!=SeachIDClicked){
    WebSeachArr.push(WebArr[2][i]);
   }
  }
 }
 WebArr[2]=WebSeachArr;
 SeachIDClicked=parseInt(SeachIDClicked)+1;
 //显示设置模拟
 WebEditDisplay();
}
////////////////////////////////////////////
//当按了搜索的增加按钮时
function SeachAdd(){
 var SeachTitleValue=SeachTitle.value;
 if(SeachTitleValue.match(/^[ \t]*$/)!=null){
  alert("搜索说明不能空！");
  SeachTitle.focus();
  return false;
 }
 WebPerSeachArr=new Array();
 WebPerSeachArr[0]=SeachTitleValue;
 WebPerSeachArr[1]=SeachSort.value;
 WebPerSeachArr[2]=SeachInUnitID.value;
 WebArr[2].push(WebPerSeachArr);
 SeachIDClicked=WebArr[2].length-1;
 //显示设置模拟
 WebEditDisplay();
}
////////////////////////////////////////////
//当按了搜索的删除按钮时
function SeachDel(){
 if(SeachIDClicked==-1){
  alert("请先点选一个搜索后再删除！");
  return;
 }
 WebSeachArr=new Array();
 var i;
 for(i in WebArr[2]){
  if(i!=SeachIDClicked){
   WebSeachArr.push(WebArr[2][i]);
  }
 }
 WebArr[2]=WebSeachArr;
 SeachIDClicked=-1;
 //显示设置模拟
 WebEditDisplay();
}
//当按了搜索的修改按钮时
function SeachUpdate(){
 if(SeachIDClicked==-1){
  alert("请先点选一个搜索后再修改！");
  return;
 }
 var SeachTitleValue=SeachTitle.value;
 if(SeachTitleValue.match(/^[ \t]*$/)!=null){
  alert("搜索说明不能空！");
  SeachTitle.focus();
  return false;
 }
 WebPerSeachArr=new Array();
 WebPerSeachArr[0]=SeachTitleValue;
 WebPerSeachArr[1]=SeachSort.value;
 WebPerSeachArr[2]=SeachInUnitID.value;
 WebArr[2][SeachIDClicked]=WebPerSeachArr;
 //显示设置模拟
 WebEditDisplay();
}
////////////////////////////////////////////
//当按了列表标题的向左按钮时
function TitleLeft(){
 if(TitleIDClicked==-1){
  alert("请先点选一个列表表头后再移动！");
  return;
 }
 if(TitleIDClicked==0){
  alert("该列表表头已经在最左边了，不能再向左移动！");
  return;
 }
 WebTitleArr=new Array();
 var i;
 for(i in WebArr[1]){
  if(i==TitleIDClicked-1){
   WebTitleArr.push(WebArr[1][TitleIDClicked]);
   WebTitleArr.push(WebArr[1][i]);
  }else{
   if(i!=TitleIDClicked){
    WebTitleArr.push(WebArr[1][i]);
   }
  }
 }
 WebArr[1]=WebTitleArr;
 TitleIDClicked=TitleIDClicked-1;
 //显示设置模拟
 WebEditDisplay();
}
////////////////////////////////////////////
//当按了列表标题的向右按钮时
function TitleRight(){
 if(TitleIDClicked==-1){
  alert("请先点选一个列表表头后再移动！");
  return;
 }
 if(TitleIDClicked==WebArr[1].length-1){
  alert("该列表表头已经在最右边了，不能再向右移动！");
  return;
 }
 WebTitleArr=new Array();
 var i;
 for(i in WebArr[1]){
  if(i==parseInt(TitleIDClicked)+1){
   WebTitleArr.push(WebArr[1][i]);
   WebTitleArr.push(WebArr[1][TitleIDClicked]);
  }else{
   if(i!=TitleIDClicked){
    WebTitleArr.push(WebArr[1][i]);
   }
  }
 }
 WebArr[1]=WebTitleArr;
 TitleIDClicked=parseInt(TitleIDClicked)+1;
 //显示设置模拟
 WebEditDisplay();
}
////////////////////////////////////////////
//当按了列表的增加按钮时
function TitleAdd(){
 var ListTitleValue=ListTitle.value;
 if(ListTitleValue.match(/^[ \t]*$/)!=null){
  alert("列表表头不能空！");
  ListTitle.focus();
  return false;
 }
 WebPerTitleArr=new Array();
 WebPerTitleArr[0]=ListTitleValue;
 WebPerTitleArr[1]=ListSort.value;
 WebPerTitleArr[2]=ListInUnitID.value;
 WebArr[1].push(WebPerTitleArr);
 TitleIDClicked=WebArr[1].length-1;
 //显示设置模拟
 WebEditDisplay();
}
////////////////////////////////////////////
//当按了列表表头的删除按钮时
function TitleDel(){
 if(TitleIDClicked==-1){
  alert("请先点选一个列表表头后再删除！");
  return;
 }
 WebTitleArr=new Array();
 var i;
 for(i in WebArr[1]){
  if(i!=TitleIDClicked){
   WebTitleArr.push(WebArr[1][i]);
  }
 }
 WebArr[1]=WebTitleArr;
 TitleIDClicked=-1;
 //显示设置模拟
 WebEditDisplay();
}
//当按了列表表头的修改按钮时
function TitleUpdate(){
 if(TitleIDClicked==-1){
  alert("请先点选一个列表表头后再修改！");
  return;
 }
 var ListTitleValue=ListTitle.value;
 if(ListTitleValue.match(/^[ \t]*$/)!=null){
  alert("列表表头不能空！");
  ListTitle.focus();
  return false;
 }
 WebPerTitleArr=new Array();
 WebPerTitleArr[0]=ListTitleValue;
 WebPerTitleArr[1]=ListSort.value;
 WebPerTitleArr[2]=ListInUnitID.value;
 WebArr[1][TitleIDClicked]=WebPerTitleArr;
 //显示设置模拟
 WebEditDisplay();
}
///////////////////////////////////////
//当按了统计的修改按钮时
function ChartUpdate(){
 WebArr[3][0]=ChartSort.value;
 WebArr[3][1]=IsTimeChart.value;
 WebArr[3][2]=TimeArrang.value;
 WebArr[3][3]=TimeInUnitID.value;
 WebArr[3][4]=ClassInUnitID.value;
 WebArr[3][5]=ChartInUnitID.value;
}
////////////////////////////////////////////
//当按了连接的向左按钮时
function LinkLeft(){
 if(LinkIDClicked==-1){
  alert("请先点选一个连接按钮后再移动！");
  return;
 }
 if(LinkIDClicked==0){
  alert("该连接按钮已经在最左边了，不能再向左移动！");
  return;
 }
 WebLinkArr=new Array();
 var i;
 for(i in WebArr[4]){
  if(i==LinkIDClicked-1){
   WebLinkArr.push(WebArr[4][LinkIDClicked]);
   WebLinkArr.push(WebArr[4][i]);
  }else{
   if(i!=LinkIDClicked){
    WebLinkArr.push(WebArr[4][i]);
   }
  }
 }
 WebArr[4]=WebLinkArr;
 LinkIDClicked=LinkIDClicked-1;
 //显示设置模拟
 WebEditDisplay();
}
////////////////////////////////////////////
//当按了连接按钮的向右按钮时
function LinkRight(){
 if(LinkIDClicked==-1){
  alert("请先点选一个连接按钮后再移动！");
  return;
 }
 if(LinkIDClicked==WebArr[4].length-1){
  alert("该连接按钮已经在最右边了，不能再向右移动！");
  return;
 }
 WebLinkArr=new Array();
 var i;
 for(i in WebArr[4]){
  if(i==parseInt(LinkIDClicked)+1){
   WebLinkArr.push(WebArr[4][i]);
   WebLinkArr.push(WebArr[4][LinkIDClicked]);
  }else{
   if(i!=LinkIDClicked){
    WebLinkArr.push(WebArr[4][i]);
   }
  }
 }
 WebArr[4]=WebLinkArr;
 LinkIDClicked=parseInt(LinkIDClicked)+1;
 //显示设置模拟
 WebEditDisplay();
}
////////////////////////////////////////////
//当按了连接按钮的增加按钮时
function LinkAdd(){
 var BottonTextValue=BottonText.value;
 if(BottonTextValue.match(/^[ \t]*$/)!=null){
  alert("按钮文字不能空！");
  BottonText.focus();
  return false;
 }
 WebPerLinkArr=new Array();
 WebPerLinkArr[0]=BottonTextValue;
 WebPerLinkArr[1]=LinkWebID.value;
 WebPerLinkArr[2]=LinkBotLinkParam.value;
 WebPerLinkArr[3]=WinNew.value;
 WebArr[4].push(WebPerLinkArr);
 LinkIDClicked=WebArr[4].length-1;
 //显示设置模拟
 WebEditDisplay();
}
////////////////////////////////////////////
//当按了连接的删除按钮时
function LinkDel(){
 if(LinkIDClicked==-1){
  alert("请先点选一个连接按钮后再删除！");
  return;
 }
 WebLinkArr=new Array();
 var i;
 for(i in WebArr[4]){
  if(i!=LinkIDClicked){
   WebLinkArr.push(WebArr[4][i]);
  }
 }
 WebArr[4]=WebLinkArr;
 LinkIDClicked=-1;
 //显示设置模拟
 WebEditDisplay();
}
//当按了连接按钮的修改按钮时
function LinkUpdate(){
 if(LinkIDClicked==-1){
  alert("请先点选一个连接按钮后再修改！");
  return;
 }
 var BottonTextValue=BottonText.value;
 if(BottonTextValue.match(/^[ \t]*$/)!=null){
  alert("按钮文字不能空！");
  BottonText.focus();
  return false;
 }
 WebPerLinkArr=new Array();
 WebPerLinkArr[0]=BottonTextValue;
 WebPerLinkArr[1]=LinkWebID.value;
 WebPerLinkArr[2]=LinkBotLinkParam.value;
 WebPerLinkArr[3]=WinNew.value;
 WebArr[4][LinkIDClicked]=WebPerLinkArr;
 //显示设置模拟
 WebEditDisplay();
}
///////////////////////////////////////////
//保存页面时处理
function Save(){
 if(!window.confirm("你确定要保存该页面的修改吗？")){
  return false;
 }
 var WorkWebNameValue=WebArr[0][1];
 if(WorkWebNameValue.match(/^[ \t]*$/)!=null){
  alert("页面名称不能空！");
  WorkWebName.focus();
  return false;
 }
 var WebTitleValue=WebArr[0][2];
 if(WebTitleValue.match(/^[ \t]*$/)!=null){
  alert("页面标题不能空！");
  WebTitle.focus();
  return false;
 }
 var A="";
 A=A+"//表示注释\n";
 A=A+"//请不要编辑本文件，否则，可能会破坏文件结构\n";
 A=A+"//把本文件的数据导入某个指定的页面，会覆盖这个页面以前的结构\n";
 A=A+"//换行符号分割开各个属性\n";
 A=A+"//格式版本\n";
 A=A+"Ver:Web_V706\n";
 A=A+"//这里开始记录页面结构，用WebBegin开始，用WebEnd结束\n";
 A=A+"WebBegin\n";
 A=A+"//这里记录页面的基本属性，用BaseInfBegin开始，用BaseInfEnd结束\n";
 A=A+"BaseInfBegin\n";
 A=A+"Title:"+WebArr[0][2]+"\n";
 A=A+"Creater:"+WebArr[0][3]+"\n";
 A=A+"TableID:"+WebArr[0][4]+"\n";
 A=A+"Sort:"+WebArr[0][5]+"\n";
 A=A+"DataDisplayArrang:"+WebArr[0][6]+"\n";
 A=A+"DataDisplayCon:"+WebArr[0][7]+"\n";
 A=A+"AddBottonText:"+WebArr[0][8]+"\n";
 A=A+"EditBottonText:"+WebArr[0][9]+"\n";
 A=A+"PageDisplay:"+WebArr[0][10]+"\n";
 A=A+"AppUser:"+WebArr[0][11]+"\n";
 A=A+"LinkParam:"+WebArr[0][12]+"\n";
 A=A+"BaseInfEnd\n";
 A=A+"//这里记录页面搜索结构，用SeachBegin开始，用SeachEnd结束\n";
 A=A+"SeachBegin\n";
 var i;
 for(i in WebArr[2]){
  A=A+"//这里记录每条页面搜索结构，用PSeachBegin开始，用PSeachEnd结束\n";
  A=A+"PSeachBegin\n";
  A=A+"Title:"+WebArr[2][i][0]+"\n";
  A=A+"OrderByNo:"+i+"\n";
  A=A+"Sort:"+WebArr[2][i][1]+"\n";
  A=A+"InUnitID:"+WebArr[2][i][2]+"\n";
  A=A+"PSeachEnd\n";
 }
 A=A+"SeachEnd\n";
 A=A+"//这里记录页面标题结构，用TitleBegin开始，用TitleEnd结束\n";
 A=A+"TitleBegin\n";
 var i;
 for(i in WebArr[1]){
  A=A+"//这里记录每条页面标题结构，用PTitleBegin开始，用PTitleEnd结束\n";
  A=A+"PTitleBegin\n";
  A=A+"Title:"+WebArr[1][i][0]+"\n";
  A=A+"OrderByNo:"+i+"\n";
  A=A+"Sort:"+WebArr[1][i][1]+"\n";
  A=A+"InUnitID:"+WebArr[1][i][2]+"\n";
  A=A+"PTitleEnd\n";
 }
 A=A+"TitleEnd\n";
 A=A+"//这里记录页面统计结构，用ChartBegin开始，用ChartEnd结束\n";
 A=A+"ChartBegin\n";
 A=A+"Sort:"+WebArr[3][0]+"\n";
 A=A+"IsTimeChart:"+WebArr[3][1]+"\n";
 A=A+"TimeArrang:"+WebArr[3][2]+"\n";
 A=A+"TimeInUnitID:"+WebArr[3][3]+"\n";
 A=A+"ClassInUnitID:"+WebArr[3][4]+"\n";
 A=A+"InUnitID:"+WebArr[3][5]+"\n";
 A=A+"ChartEnd\n";
 A=A+"//这里记录连接按钮的结构，用LinkBegin开始，用LinkEnd结束\n";
 A=A+"LinkBegin\n";
 var i;
 for(i in WebArr[4]){
  A=A+"//这里记录每个连接，用PLinkBegin开始，用PLinkEnd结束\n";
  A=A+"PLinkBegin\n";
  A=A+"BottonText:"+WebArr[4][i][0]+"\n";
  A=A+"OrderNo:"+i+"\n";
  A=A+"LinkWebID:"+WebArr[4][i][1]+"\n";
  A=A+"LinkParam:"+WebArr[4][i][2]+"\n";
  A=A+"WinNew:"+WebArr[4][i][3]+"\n";
  A=A+"PLinkEnd\n";
 }
 A=A+"LinkEnd\n";
 A=A+"WebEnd\n";
 form2.WorkWebName.value=WebArr[0][1];
 form2.WebInf.value=A;
 return true;
}

//////////////////////////////////////////////////
//按增加按钮的增加传递参数时
function AddLinkParamToAddBot(){
 var V=AddBottonLinkParam.value;
 if(V==""){
  AddBottonLinkParam.value=AddBottonLinkParamIn.value;
 }else{
  AddBottonLinkParam.value=V+","+AddBottonLinkParamIn.value;
 }
}

//////////////////////////////////////////////////
//按页面连接按钮的增加传递参数时
function AddLinkParamToLinkBot(){
 var V=LinkBotLinkParam.value;
 if(V==""){
  LinkBotLinkParam.value=LinkBotLinkParamIn.value;
 }else{
  LinkBotLinkParam.value=V+","+LinkBotLinkParamIn.value;
 }
}









